xonotic autobuild downloader: add the base scripts

This commit is contained in:
Rudolf Polzer 2011-11-11 09:23:50 +01:00
parent 3ac967d51e
commit e12cb1bb44
9 changed files with 120 additions and 0 deletions

View File

@ -0,0 +1,19 @@
Windows users:
Double click update-xonotic.bat and wait for the download to complete.
Linux/OSX users:
Change to this directory in a terminal, then run ./update-xonotic.sh and wait
for the download to complete.
Redoing this step at a later time will only download the changes since last
time. Note that any changes inside the Xonotic directory will be overwritten.
Do your changes in the directory that has the config.cfg file!
Secret trick: if you create a directory Xonotic-low in this directory before
running the updater (or later, if you rename the Xonotic directory the updater
created to Xonotic-low), this script will download the low version of Xonotic.
If you create a directory Xonotic-high in this directory before running the
updater (or later, if you rename the Xonotic directory the updater created to
Xonotic-high), it will download the HQ version! If none of the two exists, it
will download regular Xonotic. Only one version of the game can be managed by
this script.

Binary file not shown.

Binary file not shown.

Binary file not shown.

Binary file not shown.

Binary file not shown.

Binary file not shown.

View File

@ -0,0 +1,49 @@
@echo off
set options=-Prtzil --executability --delete-after --delete-excluded --stats
if exist Xonotic-low goto xonoticlow
if exist Xonotic-high goto xonotichigh
goto xonotic
:xonoticlow
set url=rsync://beta.xonotic.org/autobuild-Xonotic-low/
set target=Xonotic-low/
goto endxonotic
:xonotichigh
set url=rsync://beta.xonotic.org/autobuild-Xonotic-high/
set target=Xonotic-high/
goto endxonotic
:xonotic
set url=rsync://beta.xonotic.org/autobuild-Xonotic/
set target=Xonotic/
goto endxonotic
:endxonotic
set excludes=
set excludes=%excludes% --exclude=/xonotic-linux*
set excludes=%excludes% --exclude=/xonotic-osx-*
set excludes=%excludes% --exclude=/Xonotic*.app
set excludes=%excludes% --exclude=/fteqcc/fteqcc.linux*
set excludes=%excludes% --exclude=/fteqcc/fteqcc.osx
if "%ProgramFiles(x86)%" == "" goto bit32
:bit64
set excludes=%excludes% --exclude=/xonotic.exe
set excludes=%excludes% --exclude=/xonotic-sdl.exe
set excludes=%excludes% --exclude=/xonotic-dedicated.exe
set excludes=%excludes% --exclude=/fteqcc/fteqcc.exe
set excludes=%excludes% --exclude=/bin32
set excludes=%excludes% --exclude=/*.dll
goto endbit
:bit32
set excludes=%excludes% --exclude=/xonotic-x64.exe
set excludes=%excludes% --exclude=/xonotic-x64-sdl.exe
set excludes=%excludes% --exclude=/xonotic-x64-dedicated.exe
set excludes=%excludes% --exclude=/fteqcc/fteqcc-x64.exe
set excludes=%excludes% --exclude=/bin64
goto endbit
:endbit
rsync %options% %excludes% %url% %target%
chmod -R a+x %target%
pause

View File

@ -0,0 +1,52 @@
#!/bin/sh
if ! which rsync >/dev/null; then
echo >&2 "FATAL: rsync not found, please install the rsync package"
exit 1
fi
options="-Prtzil --executability --delete-after --delete-excluded --stats"
if [ -d "Xonotic-low" ]; then
url="rsync://beta.xonotic.org/autobuild-Xonotic-low/"
target="Xonotic-low/"
elif [ -d "Xonotic-high" ]; then
url="rsync://beta.xonotic.org/autobuild-Xonotic-high/"
target="Xonotic-high/"
else
url="rsync://beta.xonotic.org/autobuild-Xonotic/"
target="Xonotic/"
fi
excludes=
excludes="$excludes --exclude=/*.exe"
excludes="$excludes --exclude=/fteqcc/*.exe"
excludes="$excludes --exclude=/bin32"
excludes="$excludes --exclude=/*.dll"
excludes="$excludes --exclude=/bin64"
case `uname`:`uname -m` in
Darwin:*)
excludes="$excludes --exclude=/xonotic-linux*"
excludes="$excludes --exclude=/fteqcc/fteqcc.linux*"
;;
Linux:x86_64)
excludes="$excludes --exclude=/Xonotic*.app"
excludes="$excludes --exclude=/xonotic-osx-*"
excludes="$excludes --exclude=/fteqcc/fteqcc.osx"
excludes="$excludes --exclude=/xonotic-linux32-*"
excludes="$excludes --exclude=/fteqcc/fteqcc.linux32"
;;
Linux:i?86)
excludes="$excludes --exclude=/Xonotic*.app"
excludes="$excludes --exclude=/xonotic-osx-*"
excludes="$excludes --exclude=/fteqcc/fteqcc.osx"
excludes="$excludes --exclude=/xonotic-linux64-*"
excludes="$excludes --exclude=/fteqcc/fteqcc.linux64"
;;
*)
echo >&2 "WARNING: Could not detect architecture - downloading all architectures"
;;
esac
rsync $options $excludes "$url" "$target"